Description

Hi,

in a project with EPSG 31466 (Gauss Kruger Zone 2), i get different results of area and length from fieldcalculator and derived (or
measured).

Project EPSG and shapefile EPSG are set to 31466.

When on the fly is off, the results are indentic.

A screenshot is attached

Do | soething wrong?

Gerhard

Related issues:
Related to QGIS Application - Bug report # 12057: Computed area is wrong when... Closed 2015-01-26

History

#1 - 2010-12-07 05:25 AM - zicke -

This is also a bit a mystery to me but | guess with OTF enabled it regards the ellipsoid.

Stefan

#2 - 2010-12-07 08:09 AM - Marco Hugentobler

Hi all

The reason is that the field calculator does not take the target projection for measurement (and uses the default WGS84 ellipsoid), see

qgssearchstring.cpp:145. It should probably read the ellipsoid from the options and set the target projection for measuring.

#3 - 2010-12-08 11:28 PM - zicke -

I still think it's a bit confusing that you get different results when OTF enabled or not. | have two coordinates: 600000/200000 and 600100/200000. When

OTF is disabled | measure 100 meters, when OTF is enabled | get 100.1565 meters. | definitely prefer 100 meters :-) Is the OTF-enabled distance the

distance on the ellipsoid?

At least you should have the possibility to choose what kind of result you want (even when OTF is enabled).
Stefan

#4 - 2010-12-09 08:41 AM - Marco Hugentobler

Hm, the field calculator distance measurement sets oft always to off for the calculations. Therefore, it should always return 100.

I tried it with your coordinates, and the field calculator always returned 100 for me, no matter if oft-projection is on or off. So | think your preferred behaviour
is already there.

| agree that it would be good to have an option if otf and Ellipsoid should be considered or not.

#5 - 2011-12-16 01:49 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Version 1.7.4

#6 - 2012-02-06 11:56 PM - zirneklitis -
- File Latvia.7z added

The difference between results is even more confusing when the same projection is used both for project as well as attached layer. (No actual
reprojections should be done?) In the attahed example LKS92 / Latvia TM (EPSG:3059) is used. The calculated are ($area) gives the same result whether
the 'on the fly' CRS transformation is enabled or not. Not the case with derived value inside 'ldentify results' tool. The correct value is calculate when the 'on
the fly' CRS transformation is disabled.

#7 - 2012-02-10 11:49 AM - Giovanni Manghi
- Status info deleted (0)

- Pull Request or Patch supplied set to No

- OS version deleted (XP sp3)

- Operating System deleted (Windows)

- Assignee deleted (Jiirgen Fischer)

| see this difference also with data in other projected CRSs.

#8 - 2012-04-15 10:10 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#9 - 2012-08-22 03:14 PM - Magnus Homann
- Assignee set to Magnus Homann

#10 - 2012-08-28 04:43 AM - Magnus Homann

zicke - wrote:

1 still think it's a bit confusing that you get different results when OTF enabled or not. | have two coordinates: 600000/200000 and 600100/200000.

When OTF is disabled | measure 100 meters, when OTF is enabled | get 100.1565 meters. | definitely prefer 100 meters :-) Is the OTF-enabled
distance the distance on the ellipsoid?

When OTF is enabled, the distance is probably on an ellipsoid, yes. I'm fixing this so that there will be a global selection off using ellipsoid or planimetric
calculations, and this should then go into field calculation (and derived result). Stay tuned.

#11 - 2012-10-06 02:34 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#12 - 2014-05-29 11:23 AM - Antonio Locandro

This is still a problem and | disagree this should be tagged as Nice to have, there are lots of issues related to this behavior

#13 - 2014-05-30 04:04 AM - Giovanni Manghi
- Priority changed from Low to High

- Target version changed from Future Release - Nice to have to Future Release - High Priority
#14 - 2015-06-08 06:46 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to fixed/implemented

this should be fixed in master, please reopen if necessary.

Files

different-aerea-between-fieldcalulator-and-derived-when-on-the-fly-is-on.ji@8 KB 2010-12-06 Gerhard Spieles

Latvia.7z 917 Bytes 2012-02-06 zirneklitis -
